## org.junit.experimental.categories
Annotation Type Categories.IncludeCategory

    @Retention(value=RUNTIME)
    public static @interface Categories.IncludeCategory

Optional Element Summary
`boolean` `matchAny` If `true`, runs tests annotated with any of the categories in `value()`.
`Class<?>[]` `value` Determines the tests to run that are annotated with categories specified in the value of this annotation or their subtypes unless excluded with `Categories.ExcludeCategory`.

### value

    public abstract Class<?>[] value

  Determines the tests to run that are annotated with categories specified in the value of this annotation or their subtypes unless excluded with `Categories.ExcludeCategory`.

  Default:
    {}

### matchAny

    public abstract boolean matchAny

  If `true`, runs tests annotated with any of the categories in `value()`. Otherwise, runs tests only if annotated with all of the categories.

  Default:
    true

Copyright © 2002–2020 JUnit. All rights reserved.